Skip to main content
PUT
/
users
/
agents
/
{id}
Update users agent
curl --request PUT \
  --url https://api.zapthinker.com/users/agents/{id} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "name": "Joao Pedro",
  "email": "joao@example.com",
  "phoneNumber": "111987654321",
  "password": "securepassword",
  "userPermissions": [
    {
      "instanceId": "54645da3-f691-405f-9131-454095230de2",
      "permissionLevel": "WEBCHAT | FULL",
      "instance": {
        "name": "name of the instance"
      }
    }
  ]
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

id
string
required

Body

application/json
name
string
email
string
password
string
userPermissions
object[]

Response

200 - application/json

OK

success
boolean